<?php
/**
 * Auspicious (404.php)
 *
 * @package     Auspicious
 * @copyright   Copyright (C) 2019. Benjamin Lu
 * @license     GNU General Public License v2 or later (https://www.gnu.org/licenses/gpl-2.0.html)
 * @author      Benjamin Lu (https://getbenonit.com)
 * ************************************************************************************************************************
 */

?>

<?php get_header(); ?>
	<div id="global-layout" class="<?php echo esc_attr( get_theme_mod( 'global_layout', 'left-sidebar' ) ); ?>">
		<div class="content-area">
			<article id="post-0" <?php post_class( 'post' ); ?>>
				<header class="entry-header">
					<?php Benlumia007\Backdrop\Entry\display( 'entry-title' ); ?>
				</header>
				<div class="entry-content">
					<p>
						<?php
						$request_uri = ( isset( $_SERVER['REQUEST_URI'] ) ) ?: sanitize_text_field( wp_unslash( $_SERVER['REQUEST_URI'] ) );
						printf(
							// translators: 1 =  $request_uri.
							esc_html__( "Just kidding! You tried going to %s, which doesn't exist, so that means I probably broke something. To find what you are looking for, check out the most recent articles below or try a search: ", 'auspicious' ),
							'<code>' . esc_url( home_url( $request_uri ) ) . '</code>'
						);
						?>
					</p>
					<?php get_search_form(); ?>
				</div>
			</article>
			<div class="custom-blog">
				<?php Benlumia007\Backdrop\CustomQuery\display( 'custom-blog' ); ?>
			</div>
		</div>
		<?php Benlumia007\Backdrop\Sidebar\display( 'primary' ); ?>
	</div>
<?php get_footer(); ?>
